Bug 199473 - converters/libiconv: update caused dependency issues
Summary: converters/libiconv: update caused dependency issues
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-15 22:53 UTC by Steven Hartland
Modified: 2017-01-12 14:44 UTC (History)
3 users (show)

See Also:


Attachments
Bump port revisions affected by iconv update (11.32 KB, patch)
2015-04-15 22:53 UTC, Steven Hartland
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Hartland freebsd_committer 2015-04-15 22:53:54 UTC
Created attachment 155634 [details]
Bump port revisions affected by iconv update

The update to iconv to remove const updated a numbers ports to fix the removal of the const qualifier however not all ports had their revision bumped which can cause build issues.

One such direct issue I encountered was Ice needed to be rebuilt to support the const qualifier, without the rebuild all packages which depend on it for build now fail.

I've reviewed all ports affected and have provided a patch to bump all of their revisions, see attached.

This also includes two additional fixes to games/cuyo which prevented me from testing its build after bumping the revision:
1. Add dependency on perl5.
2. Fix path to perl binary in scripts.

Hope this helps.
Comment 1 commit-hook freebsd_committer 2015-04-16 07:38:02 UTC
A commit references this bug:

Author: tijl
Date: Thu Apr 16 07:33:12 UTC 2015
New revision: 384087
URL: https://svnweb.freebsd.org/changeset/ports/384087

Log:
  Bump PORTREVISION after r384038 because it added patches for headers that
  are installed.

  PR:		199473
  Submitted by:	smh

Changes:
  head/devel/ice/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
Comment 2 Tijl Coosemans freebsd_committer 2015-04-16 08:00:14 UTC
I've only bumped devel/ice and net-p2p/libtorrent-rasterbar for now because those are the only two where patches were added for a header that is also installed.  Are there other cases where the package content might have changed?

The fix for cuyo can be committed separately.